package eu.mhsl.minecraft.pixelblocks.listeners;

import org.bukkit.Bukkit;
import org.bukkit.World;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityDamageEvent;

import java.util.Arrays;

public class EntityDamageListener implements Listener {
    @EventHandler
    static void onEntityDamage(EntityDamageEvent event) {
        if(event.getEntity() instanceof Player player) {
            World playerWorld = player.getWorld();
            World[] standardWorlds = {Bukkit.getWorlds().get(0), Bukkit.getWorlds().get(1), Bukkit.getWorlds().get(2)};

            if(!Arrays.stream(standardWorlds).toList().contains(playerWorld)) {
                event.setCancelled(true);
            }
        }
    }
}
