package eu.mhsl.minecraft.pixelblocks.listeners;

import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityExplodeEvent;

import java.util.Arrays;

public class EntityExplodeListener implements Listener {
    @EventHandler
    static void onEntityExplode(EntityExplodeEvent event) {
        Location eventLocation = event.getLocation();
        World[] standardWorlds = {Bukkit.getWorlds().get(0), Bukkit.getWorlds().get(1), Bukkit.getWorlds().get(2)};

        if(!Arrays.stream(standardWorlds).toList().contains(eventLocation.getWorld())) {
            event.setCancelled(true);
        }
    }
}
