package eu.mhsl.minecraft.pixelblocks.listeners;

import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlock;
import org.bukkit.Bukkit;
import org.bukkit.World;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerChangedWorldEvent;

import java.util.Arrays;
import java.util.Objects;

public class PlayerChangeWorldListener implements Listener {
    @EventHandler
    static void onPlayerChangeWorld(PlayerChangedWorldEvent event) {
        World worldLeft = event.getFrom();
        World[] standardWorlds = {Bukkit.getWorlds().get(0), Bukkit.getWorlds().get(1), Bukkit.getWorlds().get(2)};

        if(!Arrays.stream(standardWorlds).toList().contains(worldLeft)) {
            Objects.requireNonNull(PixelBlock.getPixelBlockFromWorld(worldLeft)).update();
        }
    }
}
