package eu.mhsl.minecraft.pixelblocks.listeners;

import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockExplodeEvent;

import java.util.Arrays;

public class BlockExplodeListener implements Listener {
    @EventHandler
    static void onBlockExplode(BlockExplodeEvent event) {
        Location eventLocation = event.getBlock().getLocation();
        World[] standardWorlds = {Bukkit.getWorlds().get(0), Bukkit.getWorlds().get(1), Bukkit.getWorlds().get(2)};

        if(!Arrays.stream(standardWorlds).toList().contains(eventLocation.getWorld())) {
            event.setCancelled(true);
        }
    }
}
