package eu.mhsl.minecraft.pixelblocks.listeners;

import org.bukkit.Bukkit;
import org.bukkit.World;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerPortalEvent;

import java.util.Arrays;

public class PlayerPortalListener implements Listener {
    @EventHandler
    static void onPlayerPortal(PlayerPortalEvent event) {
        World worldLeft = event.getFrom().getWorld();
        World[] standardWorlds = {Bukkit.getWorlds().get(0), Bukkit.getWorlds().get(1), Bukkit.getWorlds().get(2)};

        if(!Arrays.stream(standardWorlds).toList().contains(worldLeft)) {
            event.setCancelled(true);
        }
    }
}
